Resent-Date: Mon, 4 Jan 1999 14:53:19 +0100 (MET)
From: Michael Fedrowitz <mfedrowi@ix.urz.uni-heidelberg.de>
Subject: patch for 2.0.36 clgen
To: linux-m68k@phil.uni-sb.de
Date: Mon, 4 Jan 1999 14:53:15 +0100 (CET)
Resent-From: linux-m68k@phil.uni-sb.de

Hi,

this fixes an age old bug in clgen (the one with the icky vertical stripes
all over the place...). Something similar should probably go into 2.1.131;
but then the clgen stuff in 2.1 seems to be broken anyway. (Anyone still
working on that? If not, I'll take a look at it.)

--- linux-2.0.36-pre1/arch/m68k/amiga/clgen.c.orig	Mon Mar 16 12:30:27 1998
+++ linux-2.0.36-pre1/arch/m68k/amiga/clgen.c	Sun Dec 27 22:36:16 1998
@@ -2254,6 +2254,11 @@
 	/* now busy-wait until we're done */
 	while (RGfx(GR31) & 0x08)
 		;
+
+	/* These two may have been modified by clgen_RectFill, */
+	/* and MUST be reset before anything else is done. */
+	WGfx(GR0, 0);
+	WGfx(GR1, 0);
 }
 
 

-Michael

-- 
Michael Fedrowitz
mfedrowi@ix.urz.uni-heidelberg.de

